Subject: Q: How to use WinSock and cygwin.dll together?
From: [email-masked] ("Geza Groma")

19 Dec 1996 06:42:09 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
Original-To: [email-masked]
X-Mailer: Pegasus Mail for Windows (v2.33)
Content-Length: 553
Original-Sender: [email-masked]

Understanding that cygwin32_getsockopt is not yet supported, I would 
try to use the native WinSock functions instead of their cygwin32_ 
counterparts to build Python. Well, I read the FAQ an followed the recent discussion 
on this topic, but it is still not clear, how can I do that.

Could somebody explain what headers (sys/socket.h, 
winsock.h, Windows32/Sockets.h or some modified version of these?),
what definitions (__INSIDE_CYGWIN32__, __INSIDE_CYGWIN32_NET__?),
and what library (-lwsock32?) should (not) I use?

Thanks in advance,
Geza Groma
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".